Bug 251622 - databases/mariadb105-{server,client}: packages conflict with each other
Summary: databases/mariadb105-{server,client}: packages conflict with each other
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-05 21:36 UTC by Vincent Milum Jr
Modified: 2021-05-22 12:54 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vincent Milum Jr 2020-12-05 21:36:45 UTC
pkg-static: mariadb105-server-10.5.8 conflicts with mariadb105-client-10.5.8 (installs files into the same place).  Problematic file: /usr/local/man/man1/aria_s3_copy.1.gz

This file was recently added to the -client package, however, it looks like it is already optionally included in the -server package.

Added to -client here:
https://github.com/freebsd/freebsd-ports/commit/25b50ef32f3d18ee40a87813041c2deacf56628e#diff-552ff0178be9b252e1704117944849ad1547b20f5936af1bb1a8eb83ff54f503R91

The file already existed in -server here:
https://github.com/freebsd/freebsd-ports/blob/master/databases/mariadb105-server/pkg-plist#L221

BUT, with the -server package, it was ONLY included if the S3 option was enabled in the package config (disabled by default), so this is probably why this was missed in testing. I don't think this file belongs in the -client package.

I'm actively working on testing the S3 storage engine, so needed to custom compile MariaDB to include it, and ran into this issue today.

Reference to the -client commit is also here:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=248677
Comment 1 Tommy P 2021-04-11 06:31:08 UTC
I'm also encountering the same issue building package from ports tree.  I think the file:

/usr/local/man/man1/aria_s3_copy.1.gz

should be excluded from the client since S3 isn't available for selection during 'make config'.

Thanks.
Comment 2 Vincent Milum Jr 2021-04-15 04:18:54 UTC
The fix for the S3 storage engine issue is a one-line change in the plist.

https://github.com/freebsd/freebsd-ports/pull/109
Comment 3 Li-Wen Hsu freebsd_committer 2021-04-15 04:34:21 UTC
Over to maintainer
Comment 4 Vincent Milum Jr 2021-05-21 20:36:46 UTC
Can we please have someone actually look at this? It is a minor 1-line edit to a plist file that is breaking the S3 build option in MariaDB. This is a trivial change that has been open for about half a year now.
Comment 5 commit-hook freebsd_committer 2021-05-22 12:52:37 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0d06019248512331e8fd160abcfc6b5cf0839c18

commit 0d06019248512331e8fd160abcfc6b5cf0839c18
Author:     Gleb Popov <arrowd@FreeBSD.org>
AuthorDate: 2021-05-22 12:49:25 +0000
Commit:     Gleb Popov <arrowd@FreeBSD.org>
CommitDate: 2021-05-22 12:51:37 +0000

    databases/mariadb105-client: Do not install server-related man page.

    This removes conflict betweem mariadb-client and mariadb-server with S3 option on.
    PR:             251622

 databases/mariadb105-client/Makefile  | 1 +
 databases/mariadb105-client/pkg-plist | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)
Comment 6 Gleb Popov freebsd_committer 2021-05-22 12:54:44 UTC
Committed, thank you, and sorry for the delay.